OutputDeviceAssigned (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: OutputDeviceAssigned
Keywords: javax.print.attribute.standard.OutputDeviceAssigned class

# Class OutputDeviceAssigned

java.lang.Object
javax.print.attribute.TextSyntax
javax.print.attribute.standard.OutputDeviceAssigned

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, PrintJobAttribute`

public final class OutputDeviceAssigned extends TextSyntax implements PrintJobAttribute
Class `OutputDeviceAssigned` is a printing attribute class, a text attribute, that identifies the output device to which the service has assigned this job. If an output device implements an embedded Print Service instance, the printer need not set this attribute. If a print server implements a Print Service instance, the value may be empty (zero- length string) or not returned until the service assigns an output device to the job. This attribute is particularly useful when a single service supports multiple devices (so called "fan-out").

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputDeviceAssigned(String deviceName, Locale locale)`
  Constructs a new output device assigned attribute with the given device name and locale.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Returns whether this output device assigned attribute is equivalent to the passed in object.
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.

  ### Methods declared in class TextSyntax

  `getLocale, getValue, hashCode, toString`
  Modifier and Type
  Method
  Description
  `Locale`
  `getLocale()`
  Returns this text attribute's text string's natural language (locale).
  `String`
  `getValue()`
  Returns this text attribute's text string.
  `int`
  `hashCode()`
  Returns a hashcode for this text attribute.
  `String`
  `toString()`
  Returns a `String` identifying this text attribute.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### OutputDeviceAssigned

    public OutputDeviceAssigned(String deviceName, Locale locale)
    Constructs a new output device assigned attribute with the given device name and locale.
    Parameters:
      `deviceName` - device name
      `locale` - natural language of the text string. `null` is interpreted to mean the default locale as returned by `Locale.getDefault()`
    Throws:
      `NullPointerException` - if `deviceName` is `null`

- ## Method Details

  - ### equals

    public boolean equals(Object object)
    Returns whether this output device assigned attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
    1. `object` is not `null`.
    2. `object` is an instance of class `OutputDeviceAssigned`.
    3. This output device assigned attribute's underlying string and `object`'s underlying string are equal.
    4. This output device assigned attribute's locale and `object`'s locale are equal.
    Overrides:
      `equals` in class `TextSyntax`
    Parameters:
      `object` - `Object` to compare to
    Returns:
      `true` if `object` is equivalent to this output device assigned attribute, `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `OutputDeviceAssigned`, the category is class `OutputDeviceAssigned` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `OutputDeviceAssigned`, the category name is `"output-device-assigned"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name